.\" $FreeBSD: src/lib/libncurses/curs_insstr.3,v 1.4.2.1 1999/09/05 11:17:03 peter Exp $
.\"
.TH curs_insstr 3 ""
.SH NAME
\fBinsstr\fR, \fBinsnstr\fR, \fBwinsstr\fR, \fBwinsnstr\fR,
\fBmvinsstr\fR, \fBmvinsnstr\fR, \fBmvwinsstr\fR, 
\fBmvwinsnstr\fR - insert string before cursor a \fBncurses\fR window
.SH SYNOPSIS
\fB#include <ncurses.h>\fR
.br
\fBint insstr(char *str);\fR
.br
\fBint insnstr(char *str, int n);\fR
.br
\fBint winsstr(WINDOW *win, char *str);\fR
.br
\fBint winsnstr(WINDOW *win, char *str, int n);\fR
.br
\fBint mvinsstr(int y, int x, char *str);\fR
.br
\fBint mvinsnstr(int y, int x, char *str, int n);\fR
.br
\fBint mvwinsstr(WINDOW *win, int y, int x, char *str);\fR
.br
\fBint mvwinsnstr(WINDOW *win, int y, int x, char *str, int n);\fR
.br
.SH DESCRIPTION
These routines insert a character string (as many characters as will fit on the
line) before the character under the cursor.  All characters to the right of
the cursor are shifted right, with the possibility of the rightmost characters
on the line being lost.  The cursor position does not change (after moving to
\fIy\fR, \fIx\fR, if specified). The four routines with \fIn\fR as the last
argument insert a leading substring of at most \fIn\fR characters.  If
\fIn\fR<=0, then the entire string is inserted.

If a character in \fIstr\fR is a tab, newline, carriage return or
backspace, the cursor is moved appropriately within the window.  A
newline also does a \fBclrtoeol\fR before moving.  Tabs are considered
to be at every eighth column.  If a character in \fIstr\fR is another
control character, it is drawn in the \fB^\fR\fIX\fR notation.
Calling \fBwinch\fR after adding a control character (and moving to
it, if necessary) does not return the control character, but instead
returns a character in the ^-representation of the control character.
.SH RETURN VALUE
All routines return the integer \fBERR\fR upon failure and an integer value
other than \fBERR\fR upon successful completion.
.SH BUGS
Entry points for these functions are in ncurses.h but they are not
implemented as of ncurses 1.8.6.
.SH NOTES
Note that all but \fBwinsnstr\fR may be macros.
.SH SEE ALSO
\fBncurses\fR(3), \fBcurs_clear\fR(3), \fBcurs_inch\fR(3).
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
